Subject: Re: What's cooking in git.git (Oct 2009, #04; Wed, 21)

From: Clemens Buchacher <[email-masked]>
Date: Mon, 26 Oct 2009 09:29:31 +0100

On Mon, Oct 26, 2009 at 12:14:45AM -0700, Junio C Hamano wrote:

> Are you giving this comment after you actually tried it on Windows and
> found it satisfactory, or is it just based on the general description of
> "this should make it faster"?

I just tried and it went down from several seconds to about half a second.
On slower machines I expect the difference to be even more noticable.

> I need to know, to sift acks/kudos based on facts that I can use to decide
> when to release it to 'master', from wishful thinking that I shouldn't,
> especially after seeing an obvious issue like the one reported by Stephen
> Boyd a few days ago (http://mid.gname.com/[email-masked]/).

I cannot follow that link. If you're referring to the "completion of
commands available only in build environment" issue, that could also be
considered a feature, because it allows completion of user-defined scripts.

Why does your PATH include the build directory during make, Stephen?

Clemens